<?php
/*
Plugin Name: Paris Attacks Ribbon MC
Plugin URI: http://apps.mistralconsulting.com/en/parisattacks
Description: When activated, this plugin will put a ribbon on a corner of your website. Configure the display with the Settings panel. Show support, on your web site, to Parisian and French people after the attacks in Paris on November 13th 2015 !
Author: ComputingFroggy
Author URI: http://mistralconsulting.com
Version: 1.00a
License: GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Domain Path: /lang
Text Domain: mc_parisattacks  */

 
defined('ABSPATH') or die("No script kiddies please!");

// Plugin definitions
define('MC_PA_SLUG', 'mc-paris-attacks-id');
define('MC_PA_OPT_NAME', 'mc_paris-attacksAdminOptions');
define('MC_PA_ACTION_ACTIVATE', 'activate_mc-paris-attacks/mc-paris-attacks.php');
define('MC_PA_LANG_TAG', 'mc_parisattacks');
define('MC_PA_MENU_SLUG', 'mc_parisattacks_menu_id');
define('MC_PA_UPD_SETTINGS', 'update_mc_parisattacksSettings');

// Options from the Settings pannel
define('MC_PA_OPT_RIBBON', 'mc_pa_ribbon');
define('MC_PA_OPT_URL_CHOICE', 'mc_pa_url_choice');
define('MC_PA_OPT_URL', 'mc_pa_url');

// This plugin declarations
define('MC_PA_BLACK_IMG_LEFT',  'mc-blackL.png');
define('MC_PA_BLACK_IMG_RIGHT', 'mc-blackR.png');
define('MC_PA_MAR_IMG_LEFT',  'mc-marianneL.png');
define('MC_PA_MAR_IMG_RIGHT', 'mc-marianneR.png');
define('MC_PA_EIFL_IMG_LEFT', 'mc-eiffelL.png');
define('MC_PA_EIFL_IMG_RIGHT','mc-eiffelR.png');
define('MC_PA_EYE_IMG_LEFT',  'mc-cryingeyeL.png');
define('MC_PA_EYE_IMG_RIGHT', 'mc-cryingeyeR.png');
define('MC_PA_MOURN_IMG_LEFT', 'mc-mourningL.png');
define('MC_PA_MOURN_IMG_RIGHT','mc-mourningR.png');
define('MC_PA_URL_EXEMPLE', 'https://twitter.com/hashtag/parisattacks');

function my_plugin_load_plugin_textdomain() {
    load_plugin_textdomain( MC_PA_LANG_TAG, FALSE, basename( dirname( __FILE__ ) ) . '/lang/' );
}
add_action( 'plugins_loaded', 'my_plugin_load_plugin_textdomain' );

if (!class_exists("mc_parisattacks")) {

    class mc_parisattacks
    {
		var $adminOptionsName = MC_PA_OPT_NAME;

		/**
		 * Constructor
		 */
		function mc_parisattacks() {
		}
		function show_ribbon() {
			global $wpdb;
			$theOptions = get_option($this->adminOptionsName);
			switch ($theOptions[MC_PA_OPT_RIBBON]) {
				case 'BL':
					$ribbon = plugins_url(MC_PA_BLACK_IMG_LEFT, __FILE__ );
					$posCSS="left:";
				break;
				case 'BR':
					$ribbon = plugins_url(MC_PA_BLACK_IMG_RIGHT, __FILE__ );
					$posCSS="right:";
				break;
				case 'ML':
					$ribbon = plugins_url(MC_PA_MAR_IMG_LEFT, __FILE__ );
					$posCSS="left:";
				break;
				case 'MR':
					$ribbon = plugins_url(MC_PA_MAR_IMG_RIGHT, __FILE__ );
					$posCSS="right:";
				break;
				case 'EL':
					$ribbon = plugins_url(MC_PA_EIFL_IMG_LEFT, __FILE__ );
					$posCSS="left:";
				break;
				case 'ER':
					$ribbon = plugins_url(MC_PA_EIFL_IMG_RIGHT, __FILE__ );
					$posCSS="right:";
				break;
				case 'YL':
					$ribbon = plugins_url(MC_PA_EYE_IMG_LEFT, __FILE__ );
					$posCSS="left:";
				break;
				case 'YR':
					$ribbon = plugins_url(MC_PA_EYE_IMG_RIGHT, __FILE__ );
					$posCSS="right:";
				break;
				case 'RL':
					$ribbon = plugins_url(MC_PA_MOURN_IMG_LEFT, __FILE__ );
					$posCSS="left:";
				break;
				case 'RR':
					$ribbon = plugins_url(MC_PA_MOURN_IMG_RIGHT, __FILE__ );
					$posCSS="right:";
				break;
			}
			?>
			<style >
				a#MCpaRibbon {
		  background-image: url(<?php echo $ribbon; ?>);
		  width: 130px;
		  height: 130px;
		  position: fixed; top: 0; <?php echo $posCSS; ?> 0; z-index: 100000;
		  }
				a#MCpaRibbon:hover {
		  background-position:-130px 0;
		  }
			</style>
			<?php
				if ($theOptions[MC_PA_OPT_URL_CHOICE] == 'U') {
					echo '<a id="MCpaRibbon" alt="Deuil National" target="_blank" href="'.$theOptions[MC_PA_OPT_URL].'"> </a>';
				}else {
					echo '<a id="MCpaRibbon" alt="Deuil National" href="#"> </a>';
				}
		}
		function getAdminOptions() 
		{
			$theOptions = get_option($this->adminOptionsName);
			if (!empty($theOptions))
			{
				foreach ($theOptions as $key => $option)
					$theOptions[$key] = $option;
			} else {
							$theOptions = array(
					MC_PA_OPT_RIBBON => 'ML',
					MC_PA_OPT_URL_CHOICE => 'N', // N: No URL, U: Url Type in
					MC_PA_OPT_URL => MC_PA_URL_EXEMPLE
				);
			}
			update_option($this->adminOptionsName, $theOptions);
			return $theOptions;
		}
		function init() 
		{
			$this->getAdminOptions();
		}
		function printAdminPage() {
			$options = $this->getAdminOptions();
			if (isset($_POST[MC_PA_UPD_SETTINGS])) {
				if (isset($_POST[MC_PA_OPT_RIBBON])) {
					$options[MC_PA_OPT_RIBBON] = $_POST[MC_PA_OPT_RIBBON];
				}
				if (isset($_POST[MC_PA_OPT_URL_CHOICE])) {
					$options[MC_PA_OPT_URL_CHOICE] = $_POST[MC_PA_OPT_URL_CHOICE];
				}
				if (isset($_POST[MC_PA_OPT_URL])) {
					$options[MC_PA_OPT_URL] = $_POST[MC_PA_OPT_URL];
				}
				update_option($this->adminOptionsName, $options);
				print '<div class="updated"><p><strong>';
				_e("Settings updated", MC_PA_LANG_TAG);
				print '</strong></p></div>';
			   
			}
			include('admin_settings.php'); // HTML form include
		}
	}
}
if (class_exists("mc_parisattacks"))
{
    $inst_mc_parisattacks = new mc_parisattacks();
}
if (isset($inst_mc_parisattacks))
{
    add_action('wp_footer', array(&$inst_mc_parisattacks, 'show_ribbon'), 1);
    add_action(MC_PA_ACTION_ACTIVATE,  array(&$inst_mc_parisattacks, 'init'));
}

// Add command in menu Admin Settings
if (!function_exists("mc_parisattacks_menu")) 
{
    function mc_parisattacks_menu() {
        global $inst_mc_parisattacks;
        if (!isset($inst_mc_parisattacks)) {
            return;
        }
        if (function_exists('add_options_page')) 
        {
            add_options_page(__('Paris Attacks Ribbon MC Options', MC_PA_LANG_TAG), __('Paris Attacks Ribbon MC', MC_PA_LANG_TAG), 'manage_options', MC_PA_MENU_SLUG, array(&$inst_mc_parisattacks, 'printAdminPage'));
        }
    }
	add_action('admin_menu', 'mc_parisattacks_menu');
}

// Add Settings command to plugin
if (!function_exists('mc_parisattacks_action_links')) {
	add_filter( 'plugin_action_links_'.plugin_basename( __FILE__  ), 'mc_parisattacks_action_links',  10, 2);
	function mc_parisattacks_action_links( $links, $file ) {
		$links[] = '<a href="'.admin_url('options-general.php?page='.MC_PA_MENU_SLUG).'">' . __('Settings') .'</a>';
		return $links;
	}
}
